

# PLY template of scanner (lexical analyzer) for baby logic language

from ply import *

# Define keywords:
keywords = ('True', 'False')

# Define token names used in parse rules:
primitives = ('ID',)
tokens = keywords + primitives

# Define literal symbols used in parse rules:
literals = ['^', 'v', '~', '(', ')']

# Define tokens for primitive names to be recognized by parser:

t_ignore = ' \t\r'

def t_ID(t):   # defines an  ID  token
    r'[A-Za-uw-z][a-z]*'
    if t.value in keywords:  # is token  t  a keyword?
        t.type = t.value
    return t
    

# Error token:
def t_error(t):
    print("Illegal character %s" % t.value[0])
    t.lexer.skip(1)

# initialize the lexical analyzer:
lexer = lex.lex(debug=0)


